<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;400&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
        integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="views/assets/css/loginAndRegis.css">

    <title>Registration</title>
</head>

<body>
    <div class="row">
        <!-- Logo BETEWE -->
        <div>
            <a href="/"><img class="layer-1" src="views/assets/images/website.svg" style="background-color: transparent;"></a>
        </div>

        <!-- Gambar Kanan -->
        <div class="col-xl-6">
            <img src="views/assets/images/register.svg" style="object-fit: cover ;width: 100%; height: 100%;" alt=""
                id="leftPicture">
        </div>

        <!-- Konten Kiri -->
        <div class="col-xl-6">
            <div id="contenRegis">
                <!-- Tulisan Atas -->
                <div id="text">
                    <p id="Kepala">Hai, Selamat datang</p>
                    <p id="Leher">Daftarkan akunmu untuk mendapatkan akses lebih</p>
                </div>

                <form action="/register" method="POST" style="padding-top: 20px;">
                    <!-- USERNAME -->
                    <div class="input-group mb-3" id="inputUser">
                        <!-- input user -->
                        <span class="input-group-text" id="basic-addon1"
                            style="background-color: transparent; border-right: transparent; border-radius: 15px 0px 0px 15px;"><i
                                class="fa fa-user" id="orang"></i></span>
                        <input class="form-control" type="text" placeholder="Nama Pengguna" name="username" id="txtUsername"
                            style="border-left: transparent; border-radius: 0px 15px 15px 0px ;">
                    </div>
                    <p id="valUser">|</p>


                    <!-- EMAIL -->
                    <div class="input-group mb-3" id="inputMail">
                        <!-- input mail -->
                        <span class="input-group-text" id="basic-addon1"
                            style="background-color: transparent; border-right: transparent; border-radius: 15px 0px 0px 15px;"><i
                                class="fa fa-envelope" aria-hidden="true" id="mail"></i></span>
                        <input class="form-control" type="email" placeholder="Email" name="email" id="txtEmail"
                            style="border-left: transparent; border-radius: 0px 15px 15px 0px ;" onkeyup="mail()">
                    </div>
                    <!-- Syarat Email -->
                    <p id="valMail">|</p>


                    <!-- PASSWORD -->
                    <div class="input-group mb-3" id="inputPassword">
                        <!-- input password -->
                        <span class="input-group-text" id="basic-addons1"
                            style="background-color: transparent; border-right: transparent; border-radius: 15px 0px 0px 15px;"><i
                                id="gembok" class="fa fa-lock"></i></span>
                        <input class="form-control" type="password" placeholder="Kata Sandi" name="password" id="txtPassword"
                            onkeyup='check();' style="border-left:transparent; border-right: transparent;"
                            onkeyup="checkA();">
                        <span class="input-group-text" id="basic-addons1"
                            style="background-color: transparent; border-left: transparent; border-radius: 0px 15px 15px 0px;"><i
                                id="toggle_pwd1" class="fa fa-fw fa-eye-slash field_icon"></i></span>
                        <!-- script melihat password -->
                        <script src="views/assets/js/registration/eyesRegistration.js"></script>
                    </div>
                    <!-- Syarat Pasword -->
                    <p id="valPass">Kata sandi min.5 karakter, terdiri dari 1 huruf besar, 1 huruf kecil dan 1 angka</p>


                    <!-- PASSWORD Konfirmation -->
                    <div class="input-group mb-3" id="validationPassword">
                        <!-- input konfirmasi password -->
                        <span class="input-group-text" id="basic-addons1"
                            style="background-color: transparent; border-right: transparent; border-radius: 15px 0px 0px 15px;"><i
                                id="gembok" class="fa fa-lock"></i></span>
                        <input class="form-control" type="password" placeholder="Konfirmasi Kata Sandi" name="password2"
                            id="txtConfirmPassword" onkeyup='check();'
                            style="border-left:transparent; border-right: transparent;" onkeyup="check();">
                        <span class="input-group-text" id="basic-addons1"
                            style="background-color: transparent; border-left: transparent; border-radius: 0px 15px 15px 0px;"><i
                                id="toggle_pwd2" class="fa fa-fw fa-eye-slash field_icon"></i></span>
                        <!-- script melihat password -->
                        <script src="views/assets/js/registration/eyesRegistration-2.js"></script>
                    </div>
                    <!-- peringatan password -->
                    <p id="verPass">|</p>
                    
                    <div>
                        <input type="hidden" name="role" value="user">
                    </div>

                    <!-- script alert and button disable/enable-->
                    <script src="views/assets/js/registration/alert.js"></script>


                    <!-- TOMBOL MASYOK -->
                    <div class="d-grid gap-2 col-12 mx-block">
                        <button class="btn btn-secondary" type="submit" id="btnSubmited" value="Submit form"
                            disabled>Daftar</button>
                    </div>

                </form>

                <p align="center" id="sudah">Sudah memiliki akun? <a href="/login">Masuk</a></p>
            </div>
        </div>
    </div>
</body>

</html>